From a542019c12b80a54df083ce639aff62ea0466e12 Mon Sep 17 00:00:00 2001
From: Robert Nelson <robertcnelson@gmail.com>
Date: Fri, 20 Jun 2014 13:54:38 -0500
Subject: [PATCH] chroot: add weston-launch group

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
---
 scripts/chroot.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 2466bff37..07c6b174b 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -549,10 +549,11 @@ cat > ${DIR}/chroot_script.sh <<-__EOF__
 		cat /etc/group | grep ^i2c || groupadd -r i2c || true
 		cat /etc/group | grep ^netdev || groupadd -r netdev || true
 		cat /etc/group | grep ^systemd-journal || groupadd -r systemd-journal || true
+		cat /etc/group | grep ^weston-launch || groupadd -r weston-launch || true
 
 		echo "KERNEL==\"spidev*\", GROUP=\"spi\", MODE=\"0660\"" > /etc/udev/rules.d/50-spi.rules
 
-		default_groups="admin,adm,dialout,i2c,spi,cdrom,floppy,audio,dip,video,netdev,plugdev,users,systemd-journal"
+		default_groups="admin,adm,dialout,i2c,spi,cdrom,floppy,audio,dip,video,netdev,plugdev,users,systemd-journal,weston-launch"
 
 		pkg="sudo"
 		dpkg_check
-- 
GitLab